FC-VALIDATE(1)

NAME
fc-validate - validate font files

SYNOPSIS
fc-validate [ -Vhv ]
    [ -i index | --index index ] [ -l lang | --lang lang ] [ --verbose ] [ --version ] [ --help ] font-file ...

DESCRIPTION

fc-validate validates font-file(s) if each fonts satisfies the language coverage according to the orthography files in fontconfig. If --index is given, only one face of each file is validated, otherwise all faces are validated.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-i --index index
    Only query face indexed index of each file.

-l --lang lang
    Set lang as a language instead of current locale. this is used for -m.

-v --verbose
    Show more detailed information.

-V --version
    Show version of the program and exit.

-h --help
    Show summary of options.

font-file
    Query font-file for font faces.

RETURN CODES

fc-validate returns error code 0 for successful parsing, or 1 if any errors occurred or if at least one font face could not be opened.

AUTHOR

This manual page was updated by Akira TAGOH <akira@tagoh.org>.